
package org.negozio;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.logging.Logger;


@javax.jws.WebService(
                      serviceName = "OrdiniImplService",
                      portName = "OrdiniImplPort",
                      targetNamespace = "http://www.negozio.org",
                      wsdlLocation = "Ordini.wsdl",
                      endpointInterface = "org.negozio.Ordini")
                      
public class OrdiniImpl implements Ordini {

    private static final Logger LOG = Logger.getLogger(OrdiniImpl.class.getName());

    /**
     * -------- Modificare con il proprio login!
     */
    private static final String LOGIN = "login";
    
    
    
    
    /**
     * Aggiunge un ordine in database
     */
    public void addOrdine(Ordine ordine) { 
        LOG.info("Executing operation addOrdine");
        
        /**
         * DA IMPLEMENTARE
         */
        
        try {
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
    }
    
    

    /**
     * Restituisce la lista degli ordini di un utente
     */
    public ListaOrdini getListaOrdini(Utente utente) { 
    	
        LOG.info("Executing operation getListaOrdini");
        
        // Instanzio l'oggetto ListaOrdini e imposto l'attributo codfisc
        ListaOrdini ordini = new ListaOrdini();
        ordini.setCodfisc(utente.getCodfisc());
        
        // Risorse necessarie per la query in database
        Connection con = null;
    	Statement stmt = null;
    	ResultSet rs = null;
        try {
        	// Ricerco in database tutti gli idOrdine di un certo codice fiscale
			con = getConnection(OrdiniImpl.LOGIN);
			stmt = con.createStatement();
			stmt.execute("SELECT idOrdine FROM ordini WHERE codfiscale='" + utente.getCodfisc() + "'");
			rs = stmt.getResultSet();
			
			// Scorro gli idOrdine e li aggiungo alla ListaOrdini
			while(rs.next()){
				ordini.getIdOrdine().add(rs.getString("idOrdine"));
			}
		} catch (Exception ex) {
			throw new RuntimeException(ex);
		} finally {
			// Chiudo le risorse usate
			if(rs != null) try{ rs.close(); } catch (Exception e) {}
			if(stmt != null) try{ stmt.close(); } catch (Exception e) {}
			if(con != null) try{ con.close(); } catch (Exception e) {}
		}
		
		return ordini;
        
    }
    
    /**
     * Metodo per recuperare la connessione dal Database. 
     * 
     * @return
     * @throws ClassNotFoundException
     * @throws SQLException
     */
    public Connection getConnection(String login) throws ClassNotFoundException, SQLException { 
    	// Carica la classe del driver JDBC
    	Class.forName("org.postgresql.Driver");

    	// Ottengo connessione al database
    	Connection connectionDB = DriverManager.getConnection("jdbc:postgresql://squalo/"+login,login,"");
    	if(connectionDB==null){
    	    System.err.println("Connection is null");
    	}

    	// Ogni operazione viene immediatamente riportata sulla base di dati
    	connectionDB.setAutoCommit(true);
    	return connectionDB;
    }

}
