
package org.negozio.client;

import java.net.URL;
import java.util.List;

import javax.xml.namespace.QName;


import org.negozio.ListaOrdini;
import org.negozio.Ordine;
import org.negozio.Ordini;
import org.negozio.Utente;

import org.negozio.OrdiniImplService;

public final class OrdiniClient {

    private static final QName SERVICE_NAME = new QName("http://www.negozio.org", "OrdiniImplService");

    private OrdiniClient() {
    }

    public static void main(String args[]) throws Exception {
        URL wsdlURL = new URL("file:WebContent/Ordini.wsdl");
      
        OrdiniImplService ss = new OrdiniImplService(wsdlURL, SERVICE_NAME);
        Ordini port = ss.getOrdiniImplPort();  
        
        {
	        System.out.println("Invoking addOrdine...");
	        Ordine ordine = new Ordine();
	        ordine.setCodfisc("AAABBB0001");
	        ordine.setIdOrdine("1");
	        port.addOrdine(ordine);
        }
        
        
        {
	        System.out.println("Invoking getListaOrdini...");
	        Utente utente = new Utente();
	        utente.setCodfisc("AAABBB0001");
	        ListaOrdini listaOrdini = port.getListaOrdini(utente);
	        String codfisc = listaOrdini.getCodfisc();
	        List<String> idOrdini = listaOrdini.getIdOrdine();
	        System.out.println("Ordini per il cliente " + codfisc);
	        for(int i=0; i<idOrdini.size(); i++){
	        	System.out.println("\t" + idOrdini.get(i));
	        }
        }

        System.exit(0);
    }

}